package com.ghy.order.mapper;

import com.ghy.order.domain.OrderCallRecord;

import java.util.List;

/**
 * 订单约单记录Mapper接口
 *
 * @author clunt
 * @date 2023-06-04
 */
public interface OrderCallRecordMapper
{
    /**
     * 查询订单约单记录
     *
     * @param id 订单约单记录主键
     * @return 订单约单记录
     */
    public OrderCallRecord selectOrderCallRecordById(Long id);

    /**
     * 查询订单约单记录列表
     *
     * @param orderCallRecord 订单约单记录
     * @return 订单约单记录集合
     */
    public List<OrderCallRecord> selectOrderCallRecordList(OrderCallRecord orderCallRecord);

    /**
     * 新增订单约单记录
     *
     * @param orderCallRecord 订单约单记录
     * @return 结果
     */
    public int insertOrderCallRecord(OrderCallRecord orderCallRecord);

    /**
     * 修改订单约单记录
     *
     * @param orderCallRecord 订单约单记录
     * @return 结果
     */
    public int updateOrderCallRecord(OrderCallRecord orderCallRecord);

    /**
     * 删除订单约单记录
     *
     * @param id 订单约单记录主键
     * @return 结果
     */
    public int deleteOrderCallRecordById(Long id);

    /**
     * 批量删除订单约单记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderCallRecordByIds(String[] ids);

}
